Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 0.6SynchronousAuth Required
CheckIpAvailability
CheckIpAvailability
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
l3NetworkUuidStringRequiredThe L3 network UUID.
ipStringRequiredThe IP address.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
arpCheckBooleanOptional. Use arping to check.
ipRangeCheckBooleanOptional. Check available IP address range in database.
Responses
Endpoint
GET/zstack/v1/l3-networks/{l3NetworkUuid}/ip/{ip}/availability
/zstack/v1/l3-networks/{l3NetworkUuid}/ip/{ip}/availability
Request Example
curl -X GET 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/ip/{ip}/availability?systemTags=<systemTags>&userTags=<userTags>&arpCheck=True&ipRangeCheck=True' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "available": true }Change History
This API has no change history records yet.
